Bug 618881 - [abrt] crash in pdfshuffler-0.5-1.fc12: pdf.py:747:read:AssertionError
[abrt] crash in pdfshuffler-0.5-1.fc12: pdf.py:747:read:AssertionError
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pdfshuffler (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:a16d510d
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 19:22 EDT by Larry O'Leary
Modified: 2010-12-03 08:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:02:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (786 bytes, text/plain)
2010-07-27 19:22 EDT, Larry O'Leary
no flags Details

  None (edit)
Description Larry O'Leary 2010-07-27 19:22:37 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/pdfshuffler
component: pdfshuffler
executable: /usr/bin/pdfshuffler
kernel: 2.6.32.11-99.fc12.i686.PAE
package: pdfshuffler-0.5-1.fc12
reason: pdf.py:747:read:AssertionError
release: Fedora release 12 (Constantine)

backtrace
-----
pdf.py:747:read:AssertionError

Traceback (most recent call last):
  File "/usr/bin/pdfshuffler", line 411, in choose_export_pdf_name
    self.export_to_file(file_out)
  File "/usr/bin/pdfshuffler", line 432, in export_to_file
    pdfdoc_inp = PdfFileReader(file(pdfdoc.copyname, 'rb'))
  File "/usr/lib/python2.6/site-packages/pyPdf/pdf.py", line 277, in __init__
    self.read(stream)
  File "/usr/lib/python2.6/site-packages/pyPdf/pdf.py", line 747, in read
    assert False
AssertionError

Local variables in innermost frame:
xref_loc: -1
tmp: "-04'00')>>\nendobj\nxr"
stream: <open file '/tmp/tmpE5RQQipdfshuffler/01_AT&T Mobility_0123_20100216_Statement.pdf', mode 'rb' at 0x9152a70>
self: <pyPdf.pdf.PdfFileReader object at 0x91fa3cc>
startxref: 121264
x: '\n'
line: 'startxref'

comment
-----
PDF page size is 8.26 x 11.69 in in size
PDF Producer iText 1.4.3 (by Iowagie.com)
PDF Version: 1.4 (Acrobat 5.x)

I beleive this issue had occured in the past and had to do with page size but that had been some time ago and seemed to have been fixed.  Maybe the same problem is back?

How to reproduce
-----
1. Import a multi-page PDF
2. Delete all but first page
3. Import a second multi-page PDF
4. Delete all but first and second page
5. Import a third multi-page PDF
6. Delete all but first, second, and third page
7. Attempt to export ... enter file name ... save has no affect and crash report detected.
Comment 1 Larry O'Leary 2010-07-27 19:22:39 EDT
Created attachment 434879 [details]
File: backtrace
Comment 2 Larry O'Leary 2010-07-27 20:18:44 EDT
This issue appears to be related to the page size.  To workaround it, I simply printed the PDFs as PDF using Cups-PDF resulting in 8.5" x 11" pages... then imported the newly created PDF into pdfshuffler and exported normally.
Comment 3 Bug Zapper 2010-11-03 07:29:52 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:02:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.